# Generated by Django 3.0.3 on 2021-08-19 23:28

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0067_generate_hash_arquivos'),
    ]

    operations = [
        migrations.CreateModel(
            name='ComunicacaoPttLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('envio', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('resposta', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('mensagem_adicional', models.TextField(blank=True, null=True)),
                ('http_status', models.IntegerField(blank=True, null=True)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ptt_logs', to='main.Territorio')),
            ],
        ),
    ]
